<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>NbtValued (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="NbtValued (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/world/DataFixer.FixTypes.html" title="class in com.sk89q.worldedit.world"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/world/NullWorld.html" title="class in com.sk89q.worldedit.world"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/world/NbtValued.html" target="_top">Frames</a></li>
<li><a href="NbtValued.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.world</div>
<h2 title="Interface NbtValued" class="title">Interface NbtValued</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../com/sk89q/worldedit/blocks/TileEntityBlock.html" title="interface in com.sk89q.worldedit.blocks">TileEntityBlock</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a>, <a href="../../../../com/sk89q/worldedit/entity/BaseEntity.html" title="class in com.sk89q.worldedit.entity">BaseEntity</a>, <a href="../../../../com/sk89q/worldedit/blocks/BaseItem.html" title="class in com.sk89q.worldedit.blocks">BaseItem</a>, <a href="../../../../com/sk89q/worldedit/blocks/BaseItemStack.html" title="class in com.sk89q.worldedit.blocks">BaseItemStack</a>, <a href="../../../../com/sk89q/worldedit/blocks/MobSpawnerBlock.html" title="class in com.sk89q.worldedit.blocks">MobSpawnerBlock</a>, <a href="../../../../com/sk89q/worldedit/blocks/SignBlock.html" title="class in com.sk89q.worldedit.blocks">SignBlock</a>, <a href="../../../../com/sk89q/worldedit/blocks/SkullBlock.html" title="class in com.sk89q.worldedit.blocks">SkullBlock</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">NbtValued</span></pre>
<div class="block">Indicates an object that contains extra data identified as an NBT structure.
 This interface is used when saving and loading objects to a serialized
 format, but may be used in other cases.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NbtValued.html#getNbtData--">getNbtData</a></span>()</code>
<div class="block">Get the object's NBT data (tile entity data).</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NbtValued.html#hasNbtData--">hasNbtData</a></span>()</code>
<div class="block">Returns whether the block contains NBT data.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NbtValued.html#setNbtData-com.sk89q.jnbt.CompoundTag-">setNbtData</a></span>(<a href="../../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a>&nbsp;nbtData)</code>
<div class="block">Set the object's NBT data (tile entity data).</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="hasNbtData--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasNbtData</h4>
<pre>boolean&nbsp;hasNbtData()</pre>
<div class="block">Returns whether the block contains NBT data. <a href="../../../../com/sk89q/worldedit/world/NbtValued.html#getNbtData--"><code>getNbtData()</code></a>
 must not return null if this method returns true.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if there is NBT data</dd>
</dl>
</li>
</ul>
<a name="getNbtData--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbtData</h4>
<pre>@Nullable
<a href="../../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a>&nbsp;getNbtData()</pre>
<div class="block">Get the object's NBT data (tile entity data). The returned tag, if
 modified in any way, should be sent to <a href="../../../../com/sk89q/worldedit/world/NbtValued.html#setNbtData-com.sk89q.jnbt.CompoundTag-"><code>setNbtData(CompoundTag)</code></a>
 so that the instance knows of the changes. Making changes without
 calling <a href="../../../../com/sk89q/worldedit/world/NbtValued.html#setNbtData-com.sk89q.jnbt.CompoundTag-"><code>setNbtData(CompoundTag)</code></a> could have unintended
 consequences.

 <p><a href="../../../../com/sk89q/worldedit/world/NbtValued.html#hasNbtData--"><code>hasNbtData()</code></a> must return true if and only if method does
 not return null.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>compound tag, or null</dd>
</dl>
</li>
</ul>
<a name="setNbtData-com.sk89q.jnbt.CompoundTag-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setNbtData</h4>
<pre>void&nbsp;setNbtData(@Nullable
                <a href="../../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a>&nbsp;nbtData)</pre>
<div class="block">Set the object's NBT data (tile entity data).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nbtData</code> - NBT data, or null if no data</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/world/DataFixer.FixTypes.html" title="class in com.sk89q.worldedit.world"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/world/NullWorld.html" title="class in com.sk89q.worldedit.world"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/world/NbtValued.html" target="_top">Frames</a></li>
<li><a href="NbtValued.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
